<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg heads</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-heads">
<span id="hg-heads-1"></span>
<h1 class="title">hg heads</h1>
<h2 class="subtitle" id="show-branch-heads">show branch heads</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg heads [-ct] [-r STARTREV] [REV]...
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<p>With no arguments, show all open branch heads in the repository.
Branch heads are changesets that have no descendants on the
same branch. They are where development generally takes place and
are the usual targets for update and merge operations.</p>
<p>If one or more REVs are given, only open branch heads on the
branches associated with the specified changesets are shown. This
means that you can use <a class="reference external" href="hg-heads.html"><tt class="docutils literal">hg heads .</tt></a> to see the heads on the
currently checked-out branch.</p>
<p>If -c/--closed is specified, also show branch heads marked closed
(see <a class="reference external" href="hg-commit.html"><tt class="docutils literal">hg commit <span class="pre">--close-branch</span></tt></a>).</p>
<p>If STARTREV is specified, only those heads that are descendants of
STARTREV will be displayed.</p>
<p>If -t/--topo is specified, named branch mechanics will be ignored and only
topological heads (changesets with no children) will be shown.</p>
<p>Returns 0 if matching heads are found, 1 if not.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;STARTREV&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>show only heads which are descendants of STARTREV</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-t</span>, <span class="option">--topo</span></kbd></td>
<td>show topological heads only</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-a</span>, <span class="option">--active</span></kbd></td>
<td>show active branchheads only (DEPRECATED)</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-c</span>, <span class="option">--closed</span></kbd></td>
<td>show normal and closed branch heads</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">--style <var>&lt;STYLE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display using template map file (DEPRECATED)</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-T</span>, <span class="option">--template <var>&lt;TEMPLATE&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>display with template</td></tr>
</tbody>
</table>
</div>
</div>
</body>
</html>
